// creator  : weidu.exe (version 23100)
// argument : ILBEGG01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~ILBEGG01~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #29029 /* ~I am but a destitute man, an' the Crying God has shown me mercy an' given me shelter!~ */
  IF ~!IsValidForPartyDialog("Viconia")~ THEN EXIT
  IF ~IsValidForPartyDialog("Viconia")~ THEN EXTERN ~VICONIJ~ 28
END

IF ~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #29030 /* ~I have no home but th' mud in th' streets... except that I am allowed t' stay in the temple, sometimes.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #29031 /* ~Praise be to Ilmater!~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #29032 /* ~Please, me <LADYLORD>... could ye spare a bit o' coin for a sinner in need?  Please... but a single coin would do!~ */
  IF ~PartyGoldGT(0)
~ THEN REPLY #29033 /* ~Certainly, take a gold piece.~ */ DO ~TakePartyGold(1)
~ GOTO 4
  IF ~~ THEN REPLY #29034 /* ~I'm sorry, I can afford nothing.~ */ GOTO 5
  IF ~~ THEN REPLY #29035 /* ~Get away from me you rotten beggar!~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #29036 /* ~Ilmater's blessing upon ye, me <LADYLORD>!~ */
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 136
  IF ~!IsValidForPartyDialog("Nalia")
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 38
  IF ~!IsValidForPartyDialog("Nalia")
!IsValidForPartyDialog("Aerie")~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1
  SAY #29037 /* ~I... understand, my <LADYLORD>.  Go in peace wi' ye.~ */
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIAJ~ 140
  IF ~!IsValidForPartyDialog("Nalia")
IsValidForPartyDialog("Mazzy")~ THEN EXTERN ~MAZZYJ~ 99
  IF ~!IsValidForPartyDialog("Nalia")
!IsValidForPartyDialog("Mazzy")~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.2
  SAY #29038 /* ~This be the house o' the Crying God and ye treats me wi' scorn?  Ye are a black soul, indeed!~ */
  IF ~~ THEN EXTERN ~SLILMAT~ 5
END
